on startMovie
  global gTipSprite, gHelpSprite
  set gHelpSprite to 44
  helpOff()
  set gTipSprite to 2
  goTips()
end

on goTips
  global gCurrentBook
  cleanLegos()
  go(gCurrentBook & " tips")
  makeTipsScroll()
  makeTipsButtons()
end

on makeTipsScroll
  global gTipsScroll, gTipSprite
  set track to new("Button", [#spriteChan: 16])
  set ball to new("Button", [#spriteChan: 17, #pressedCast: 32])
  set up to new("Button", [#spriteChan: 18, #pressedCast: 34])
  set down to new("Button", [#spriteChan: 19, #pressedCast: 36])
  set gTipsScroll to new("ScrollBar", [#scrollSprite: gTipSprite, #minButton: up, #maxButton: down, #thumbButton: ball, #trackButton: track])
end

on makeTipsButtons
  global gMainButton, gHelpButton, gBackButton, gChooserButton, gPlannerButton, gShoppingButton, gPersonalButton, gUtilityButton, gVideoButton
  set gMainButton to birth(script "CFTButton", 7)
  set gHelpButton to birth(script "CFTButton", 15)
  set gBackButton to birth(script "CFTButton", 8)
  set gChooserButton to birth(script "CFTButton", 9)
  set gPlannerButton to birth(script "CFTButton", 10)
  set gShoppingButton to birth(script "CFTButton", 11)
  set gPersonalButton to birth(script "CFTButton", 12)
  set gUtilityButton to birth(script "CFTButton", 13)
  set gVideoButton to birth(script "CFTButton", 14)
  set gBrowseLeftButton to birth(script "CFTButton", 25)
  set gBrowseRightButton to birth(script "CFTButton", 26)
end

on helpOn
  global gLastHelp, gHelpLinks, gHelpActive, gHelpSprite
  put "help is On"
  set gHelpActive to 1
  set gLastHelp to 0
  set gHelpLinks to [7: 19, 8: 23, 9: 12, 10: 13, 11: 14, 12: 5, 13: 16, 14: 17, 15: 1]
  puppetSprite(gHelpSprite, 1)
end
